## zygrib 8.0.1+dfsg.2

=== Makefile ===
QMAKE=/usr/bin/qmake

INSTALLDIR=$(HOME)/zyGrib
MACQTBIN=/usr/local/Qt-5.3.2/bin/
QWTDIR=src/qwt-6.1.3

all: zyGrib

SRC= src/*.h src/*.cpp src/*/*.h src/*/*.cpp \
      src/qwt*/src/*.cpp src/qwt*/src/*.h

mac: $(SRC)
	rm -f  ./zyGrib
	rm -fr ./zyGrib.app
	rm -f  src/Makefile
	cd src/g2clib; make -f makefile.osx
	cd $(QWTDIR)/src; $(MACQTBIN)/qmake; make -j6
	cd src; $(MACQTBIN)/qmake; make -j6

macclean:
	rm -f  zyGrib
	rm -fr zyGrib.app
	rm -f  src/zyGrib
	rm -f  src/release/zyGrib.exe
	rm -f  $(QWTDIR)/lib/*
	cd $(QWTDIR)/src; $(MACQTBIN)/qmake; make clean
	cd src;	$(MACQTBIN)/qmake; make clean

clean:
	rm -f  zyGrib
	rm -fr zyGrib.app
	rm -f  src/zyGrib
	rm -f  src/release/zyGrib.exe
	cd src;	$(QMAKE); make clean

veryclean: clean
	rm -f  $(QWTDIR)/lib/*
	cd $(QWTDIR)/src; $(QMAKE); make clean
	rm -f  src/g2clib/libg2c.a
	rm -f  src/g2clib/*.o

zyGrib: $(SRC)
	@ echo
	rm -f ./zyGrib
	cd $(QWTDIR)/src; $(QMAKE); make -j6
	cd src/g2clib; make
	cd src; $(QMAKE); make -j6
	@ echo "-----------------------------------"
	@ echo "#!/bin/bash" >> ./zyGrib
	@ echo "cd `pwd`" >> ./zyGrib
	@ echo 'src/zyGrib $$*' >> ./zyGrib
	@ chmod 755 ./zyGrib

install: zyGrib
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/bin
	cp -a data $(INSTALLDIR)
	cp -a grib $(INSTALLDIR)
	rm -f ./zyGrib
	rm -f $(INSTALLDIR)/bin/zyGrib
	cp  -a src/zyGrib $(INSTALLDIR)/bin
	echo "#!/bin/bash" >> ./zyGrib
	echo "cd $(INSTALLDIR)" >> ./zyGrib
	echo 'bin/zyGrib $$*' >> ./zyGrib
	chmod 755 ./zyGrib
	cp -af zyGrib $(INSTALLDIR)

=== src/qwt-6.1.3/Makefile ===
#############################################################################
# Makefile for building: qwt
# Generated by qmake (3.0) (Qt 5.7.0)
# Project:  qwt.pro
# Template: subdirs
# Command: /home/jzaninet/Qt5.7.0/5.7/gcc_64/bin/qmake -o Makefile qwt.pro
#############################################################################

MAKEFILE      = Makefile

first: make_first
QMAKE         = /home/jzaninet/Qt5.7.0/5.7/gcc_64/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = qwt1.0.0
DISTDIR = /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/.tmp/qwt1.0.0
SUBTARGETS    =  \
		sub-src \
		sub-textengines 


sub-src-qmake_all:  FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile
	cd src/ && $(MAKE) -f Makefile qmake_all
sub-src: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile
sub-src-make_first-ordered: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile 
sub-src-make_first: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile 
sub-src-all-ordered: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile all
sub-src-all: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile all
sub-src-clean-ordered: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile clean
sub-src-clean: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile clean
sub-src-distclean-ordered: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile distclean
sub-src-distclean: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile distclean
sub-src-install_subtargets-ordered: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile install
sub-src-install_subtargets: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile install
sub-src-uninstall_subtargets-ordered: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile uninstall
sub-src-uninstall_subtargets: FORCE
	@test -d src/ || mkdir -p src/
	cd src/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/src/src.pro -o Makefile ) && $(MAKE) -f Makefile uninstall
sub-textengines-qmake_all: sub-src-qmake_all FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile
	cd textengines/ && $(MAKE) -f Makefile qmake_all
sub-textengines: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile
sub-textengines-make_first-ordered: sub-src-make_first-ordered  FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile 
sub-textengines-make_first: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile 
sub-textengines-all-ordered: sub-src-all-ordered  FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile all
sub-textengines-all: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile all
sub-textengines-clean-ordered: sub-src-clean-ordered  FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile clean
sub-textengines-clean: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile clean
sub-textengines-distclean-ordered: sub-src-distclean-ordered  FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile distclean
sub-textengines-distclean: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile distclean
sub-textengines-install_subtargets-ordered: sub-src-install_subtargets-ordered  FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile install
sub-textengines-install_subtargets: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile install
sub-textengines-uninstall_subtargets-ordered: sub-src-uninstall_subtargets-ordered  FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile uninstall
sub-textengines-uninstall_subtargets: FORCE
	@test -d textengines/ || mkdir -p textengines/
	cd textengines/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/textengines/textengines.pro -o Makefile ) && $(MAKE) -f Makefile uninstall
sub-doc-qmake_all: sub-textengines-qmake_all FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile
	cd doc/ && $(MAKE) -f Makefile qmake_all
sub-doc: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile
sub-doc-make_first-ordered: sub-textengines-make_first-ordered  FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile 
sub-doc-make_first: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile 
sub-doc-all-ordered: sub-textengines-all-ordered  FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile all
sub-doc-all: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile all
sub-doc-clean-ordered: sub-textengines-clean-ordered  FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile clean
sub-doc-clean: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile clean
sub-doc-distclean-ordered: sub-textengines-distclean-ordered  FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile distclean
sub-doc-distclean: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile distclean
sub-doc-install_subtargets-ordered: sub-textengines-install_subtargets-ordered  FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile install
sub-doc-install_subtargets: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile install
sub-doc-uninstall_subtargets-ordered: sub-textengines-uninstall_subtargets-ordered  FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile uninstall
sub-doc-uninstall_subtargets: FORCE
	@test -d doc/ || mkdir -p doc/
	cd doc/ && ( test -e Makefile || $(QMAKE) /home/jzaninet/C/GRIB/ZyGrib_test/src/qwt-6.1.3/doc/doc.pro -o Makefile ) && $(MAKE) -f Makefile uninstall

Makefile: qwt.pro /home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++/qmake.conf /home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/features/spec_pre.prf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/unix.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/linux.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/sanitize.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/gcc-base.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/gcc-base-unix.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/g++-base.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/g++-unix.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/qconfig.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dcore.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dcore_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dextras.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dextras_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dinput.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dinput_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dlogic.pri \

=== src/qwt-6.1.3/src/Makefile ===
#############################################################################
# Makefile for building: libqwt.a
# Generated by qmake (3.0) (Qt 5.7.0)
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile src.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = @echo compiling $< && gcc
CXX           = @echo compiling $< && g++
DEFINES       = -DQWT_NO_SVG -DQWT_NO_OPENGL -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CONCURRENT_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -std=gnu++11 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I. -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/include -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/include/QtPrintSupport -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/include/QtWidgets -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/include/QtGui -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/include/QtConcurrent -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/include/QtCore -Imoc -I/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/linux-g++
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = qwt6.1.3
DISTDIR = /home/jzaninet/C/GRIB/ZyGrib_test/tmp_distrib/zyGrib-8.0.1/src/qwt-6.1.3/src/obj/qwt6.1.3
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = qwt_abstract_scale_draw.cpp \
		qwt_clipper.cpp \
		qwt_color_map.cpp \
		qwt_column_symbol.cpp \
		qwt_date.cpp \
		qwt_date_scale_draw.cpp \
		qwt_date_scale_engine.cpp \
		qwt_dyngrid_layout.cpp \
		qwt_event_pattern.cpp \
		qwt_graphic.cpp \
		qwt_interval.cpp \
		qwt_interval_symbol.cpp \
		qwt_math.cpp \
		qwt_magnifier.cpp \
		qwt_null_paintdevice.cpp \
		qwt_painter.cpp \
		qwt_painter_command.cpp \
		qwt_panner.cpp \
		qwt_picker.cpp \
		qwt_picker_machine.cpp \
		qwt_pixel_matrix.cpp \
		qwt_point_3d.cpp \
		qwt_point_polar.cpp \
		qwt_round_scale_draw.cpp \
		qwt_scale_div.cpp \
		qwt_scale_draw.cpp \
		qwt_scale_map.cpp \
		qwt_spline.cpp \
		qwt_scale_engine.cpp \
		qwt_symbol.cpp \
		qwt_system_clock.cpp \
		qwt_text_engine.cpp \
		qwt_text_label.cpp \
		qwt_text.cpp \
		qwt_transform.cpp \
		qwt_widget_overlay.cpp \
		qwt_curve_fitter.cpp \
		qwt_abstract_legend.cpp \
		qwt_legend.cpp \
		qwt_legend_data.cpp \
		qwt_legend_label.cpp \
		qwt_plot.cpp \
		qwt_plot_renderer.cpp \
		qwt_plot_xml.cpp \
		qwt_plot_axis.cpp \
		qwt_plot_curve.cpp \
		qwt_plot_dict.cpp \
		qwt_plot_directpainter.cpp \
		qwt_plot_grid.cpp \
		qwt_plot_histogram.cpp \
		qwt_plot_item.cpp \
		qwt_plot_abstract_barchart.cpp \
		qwt_plot_barchart.cpp \
		qwt_plot_multi_barchart.cpp \
		qwt_plot_intervalcurve.cpp \
		qwt_plot_zoneitem.cpp \
		qwt_plot_tradingcurve.cpp \
		qwt_plot_spectrogram.cpp \
		qwt_plot_spectrocurve.cpp \
		qwt_plot_scaleitem.cpp \
		qwt_plot_legenditem.cpp \
		qwt_plot_seriesitem.cpp \
		qwt_plot_shapeitem.cpp \
		qwt_plot_marker.cpp \
		qwt_plot_textlabel.cpp \
		qwt_plot_layout.cpp \
		qwt_plot_canvas.cpp \
		qwt_plot_panner.cpp \
		qwt_plot_rasteritem.cpp \
		qwt_plot_picker.cpp \
		qwt_plot_zoomer.cpp \
		qwt_plot_magnifier.cpp \
		qwt_plot_rescaler.cpp \
		qwt_point_mapper.cpp \
		qwt_raster_data.cpp \
		qwt_matrix_raster_data.cpp \
		qwt_sampling_thread.cpp \
		qwt_series_data.cpp \
		qwt_point_data.cpp \
		qwt_scale_widget.cpp \
		qwt_abstract_slider.cpp \
		qwt_abstract_scale.cpp \
		qwt_arrow_button.cpp \
		qwt_analog_clock.cpp \
		qwt_compass.cpp \
		qwt_compass_rose.cpp \
		qwt_counter.cpp \
		qwt_dial.cpp \
		qwt_dial_needle.cpp \
		qwt_knob.cpp \
		qwt_slider.cpp \
		qwt_thermo.cpp \
		qwt_wheel.cpp moc/moc_qwt_dyngrid_layout.cpp \
		moc/moc_qwt_magnifier.cpp \
		moc/moc_qwt_panner.cpp \
		moc/moc_qwt_picker.cpp \
		moc/moc_qwt_text_label.cpp \
		moc/moc_qwt_abstract_legend.cpp \
		moc/moc_qwt_legend.cpp \
		moc/moc_qwt_legend_label.cpp \
		moc/moc_qwt_plot.cpp \
		moc/moc_qwt_plot_renderer.cpp \
		moc/moc_qwt_plot_canvas.cpp \
		moc/moc_qwt_plot_panner.cpp \
		moc/moc_qwt_plot_picker.cpp \
		moc/moc_qwt_plot_zoomer.cpp \
		moc/moc_qwt_plot_magnifier.cpp \
		moc/moc_qwt_sampling_thread.cpp \
		moc/moc_qwt_scale_widget.cpp \
		moc/moc_qwt_abstract_slider.cpp \
		moc/moc_qwt_abstract_scale.cpp \
		moc/moc_qwt_analog_clock.cpp \
		moc/moc_qwt_compass.cpp \
		moc/moc_qwt_counter.cpp \
		moc/moc_qwt_dial.cpp \
		moc/moc_qwt_knob.cpp \
		moc/moc_qwt_slider.cpp \
		moc/moc_qwt_thermo.cpp \
		moc/moc_qwt_wheel.cpp
OBJECTS       = obj/qwt_abstract_scale_draw.o \
		obj/qwt_clipper.o \
		obj/qwt_color_map.o \
		obj/qwt_column_symbol.o \
		obj/qwt_date.o \
		obj/qwt_date_scale_draw.o \
		obj/qwt_date_scale_engine.o \
		obj/qwt_dyngrid_layout.o \
		obj/qwt_event_pattern.o \
		obj/qwt_graphic.o \
		obj/qwt_interval.o \
		obj/qwt_interval_symbol.o \
		obj/qwt_math.o \
		obj/qwt_magnifier.o \
		obj/qwt_null_paintdevice.o \
		obj/qwt_painter.o \
		obj/qwt_painter_command.o \
		obj/qwt_panner.o \
		obj/qwt_picker.o \
		obj/qwt_picker_machine.o \
		obj/qwt_pixel_matrix.o \
		obj/qwt_point_3d.o \
		obj/qwt_point_polar.o \
		obj/qwt_round_scale_draw.o \
		obj/qwt_scale_div.o \
		obj/qwt_scale_draw.o \
		obj/qwt_scale_map.o \
		obj/qwt_spline.o \
		obj/qwt_scale_engine.o \
		obj/qwt_symbol.o \
		obj/qwt_system_clock.o \
		obj/qwt_text_engine.o \
		obj/qwt_text_label.o \
		obj/qwt_text.o \
		obj/qwt_transform.o \
		obj/qwt_widget_overlay.o \
		obj/qwt_curve_fitter.o \
		obj/qwt_abstract_legend.o \
		obj/qwt_legend.o \
		obj/qwt_legend_data.o \
		obj/qwt_legend_label.o \
		obj/qwt_plot.o \
		obj/qwt_plot_renderer.o \
		obj/qwt_plot_xml.o \
		obj/qwt_plot_axis.o \
		obj/qwt_plot_curve.o \
		obj/qwt_plot_dict.o \
		obj/qwt_plot_directpainter.o \
		obj/qwt_plot_grid.o \
		obj/qwt_plot_histogram.o \
		obj/qwt_plot_item.o \
		obj/qwt_plot_abstract_barchart.o \
		obj/qwt_plot_barchart.o \
		obj/qwt_plot_multi_barchart.o \
		obj/qwt_plot_intervalcurve.o \
		obj/qwt_plot_zoneitem.o \
		obj/qwt_plot_tradingcurve.o \
		obj/qwt_plot_spectrogram.o \
		obj/qwt_plot_spectrocurve.o \
		obj/qwt_plot_scaleitem.o \
		obj/qwt_plot_legenditem.o \
		obj/qwt_plot_seriesitem.o \
		obj/qwt_plot_shapeitem.o \
		obj/qwt_plot_marker.o \
		obj/qwt_plot_textlabel.o \
		obj/qwt_plot_layout.o \
		obj/qwt_plot_canvas.o \
		obj/qwt_plot_panner.o \
		obj/qwt_plot_rasteritem.o \
		obj/qwt_plot_picker.o \
		obj/qwt_plot_zoomer.o \
		obj/qwt_plot_magnifier.o \
		obj/qwt_plot_rescaler.o \
		obj/qwt_point_mapper.o \
		obj/qwt_raster_data.o \
		obj/qwt_matrix_raster_data.o \
		obj/qwt_sampling_thread.o \
		obj/qwt_series_data.o \
		obj/qwt_point_data.o \
		obj/qwt_scale_widget.o \
		obj/qwt_abstract_slider.o \
		obj/qwt_abstract_scale.o \
		obj/qwt_arrow_button.o \
		obj/qwt_analog_clock.o \
		obj/qwt_compass.o \
		obj/qwt_compass_rose.o \
		obj/qwt_counter.o \
		obj/qwt_dial.o \
		obj/qwt_dial_needle.o \
		obj/qwt_knob.o \
		obj/qwt_slider.o \
		obj/qwt_thermo.o \
		obj/qwt_wheel.o \
		obj/moc_qwt_dyngrid_layout.o \
		obj/moc_qwt_magnifier.o \
		obj/moc_qwt_panner.o \
		obj/moc_qwt_picker.o \
		obj/moc_qwt_text_label.o \
		obj/moc_qwt_abstract_legend.o \
		obj/moc_qwt_legend.o \
		obj/moc_qwt_legend_label.o \
		obj/moc_qwt_plot.o \
		obj/moc_qwt_plot_renderer.o \
		obj/moc_qwt_plot_canvas.o \
		obj/moc_qwt_plot_panner.o \
		obj/moc_qwt_plot_picker.o \
		obj/moc_qwt_plot_zoomer.o \
		obj/moc_qwt_plot_magnifier.o \
		obj/moc_qwt_sampling_thread.o \
		obj/moc_qwt_scale_widget.o \
		obj/moc_qwt_abstract_slider.o \
		obj/moc_qwt_abstract_scale.o \
		obj/moc_qwt_analog_clock.o \
		obj/moc_qwt_compass.o \
		obj/moc_qwt_counter.o \
		obj/moc_qwt_dial.o \
		obj/moc_qwt_knob.o \
		obj/moc_qwt_slider.o \
		obj/moc_qwt_thermo.o \
		obj/moc_qwt_wheel.o
DIST          = /home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/features/spec_pre.prf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/unix.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/linux.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/sanitize.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/gcc-base.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/gcc-base-unix.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/g++-base.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/common/g++-unix.conf \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/qconfig.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dcore.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dcore_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dextras.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dextras_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dinput.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dinput_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dlogic.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dlogic_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquick.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquick_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquickextras.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquickextras_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquickinput.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquickinput_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquickrender.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3dquickrender_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3drender.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_3drender_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_bluetooth.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_bluetooth_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_clucene_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_concurrent.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_concurrent_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_core.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_core_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_dbus.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_dbus_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_designer.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_designer_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_designercomponents_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_eglfs_device_lib_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_gamepad.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_gamepad_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_gui.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_gui_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_help.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_help_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_location.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_location_private.pri \
		/home/jzaninet/Qt5.7.0/5.7/gcc_64/mkspecs/modules/qt_lib_multimedia.pri \

=== debian/changelog ===
zygrib (8.0.1+dfsg.2-1) unstable; urgency=medium

  [ Alastair McKinstry]
  * Standards-Version: 4.2.0
  * Set zygrib-maps as M-A: foreign
  * Set VCS to point to salsa.debian.org
  * Use https for homepage
  * Rebuild from latest upstream as dfsg.2: Closes: #848892
  * Patch to build with system libgrib2c not (deleted) embedded copy

  [Helmut Grohe]
  * Fix FTCBFS: Let dh_auto_configure run qmake. (Closes: #906092)
  * Fix policy 4.6 violation: Do not chaing build commands with ";"

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Aug 2018 16:06:46 +0100

=== debian/control ===
Source: zygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10),
 dh-buildinfo,
 libz-dev,
 libbz2-dev,
 libproj-dev, 
 qtbase5-dev,
 libqt5svg5-dev,
 libqwt-qt5-dev (>= 6.1.2),
 libgrib2c-dev,
 libnova-dev,
 libpng-dev
Standards-Version: 4.2.0
Homepage: https://www.zygrib.org/
Vcs-Browser: https://salsa.debian.org:/science-team/zygrib.git
Vcs-Git: https://salsa.debian.org:/science-team/zygrib.git

Package: zygrib
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 zygrib-maps,
 fonts-liberation
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: zygrib-maps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Maps for zyGrib weather visualization
 This contains maps and country names used by zyGrib.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ 

export HOME=`pwd`/debian/tmp
export QT_SELECT=5

CFLAGS += -fPIC

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src -- INSTALLDIR=$(INSTDIR)
	mkdir -p grib

	
override_dh_auto_clean:
	rm -rf zyGrib zyGrib.app src/zyGrib src/release/zyGrib.exe
	dh_auto_configure --sourcedirectory=src
	dh_auto_clean --sourcedirectory=src
	rm -rf  src/objs/* src/zyGrib src/Makefile src/qwt-6.0.1 src/.qmake*
